predict.ellipsoid {cluster} | R Documentation

## Predict Method for Ellipsoid Objects

### Description

Compute points on the ellipsoid boundary, mostly for drawing.

### Usage

    ## S3 method for class 'ellipsoid':
    predict(object, n.out=201, ...)
    ellipsoidPoints(A, d2, loc, n=201)

### Arguments

`object` | an object of class `ellipsoid`, typically from `ellipsoidhull()`.
`n.out,n` | the number of points to create.
`A, d2, loc` | arguments of the auxilary `ellipsoidPoints`, see below.
`...` | passed to and from methods.

### Details

Note `ellipsoidPoints` is the workhorse function of the `predict.ellipsoid` method; the class of `object` is not checked; it must solely have valid components `loc` (length p), the p x p matrix `cov` (corresponding to `A`) and `d2` for the center, the shape (``covariance'') matrix and the squared average radius or distance.

### Value

a numeric matrix of dimension `n.out` times p.

### See Also

`ellipsoidhull`, also for examples.

[Package Contents]